Skip to main content
PATCH
/
v2
/
human-evals
/
{id}
cURL
curl --request PATCH \
  --url https://api.orq.ai/v2/human-evals/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "boolean",
  "display_name": "<string>",
  "description": "<string>",
  "key": "orq_01km333f80",
  "created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "type": "boolean",
  "id": "<string>",
  "display_name": "<string>",
  "description": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key": "orq_01km333f7y",
  "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<ulid>
required

The id of the resource

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Body

application/json
type
enum<string>
required
Available options:
boolean
display_name
string
required

Display name of the feedback item.

Maximum string length: 255
description
string
required

Detailed description of the feedback.

key
string
default:orq_01km333f80

Unique key for the feedback. It is autogenerated by the system always

created_by_id
string<uuid>

The id of the user who created the resource

updated_by_id
string<uuid>

The id of the user who last updated the resource

project_id

Optional project ID to scope this human review to a specific project

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response

Successfully updated a human review

type
enum<string>
required
Available options:
boolean
id
string<ulid>
required

The id of the resource

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
display_name
string
required

Display name of the feedback item.

Maximum string length: 255
description
string
required

Detailed description of the feedback.

workspace_id
string<uuid>
required

The id of the resource

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
key
string
default:orq_01km333f7y

Unique key for the feedback. It is autogenerated by the system always

domain_id
string<uuid>

The id of the resource

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
created_by_id
string<uuid>

The id of the user who created the resource

updated_by_id
string<uuid>

The id of the user who last updated the resource

project_id

Optional project ID to scope this human review to a specific project

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$